package com.bocloud.cmp.model;

public class SecurityGroupRuleModel {
    private String name;// 规则名称
    private Integer portMin;// 起始端口
    private Integer portMax;// 结束端口
    private String protocol;// 协议
    private String ruleUuid;// 规则UUID
    private String groupUuid;// 安全组UUID
    private String direction;// 方向
    private String etherType;// 以太类型
    private String remoteIpPrefix;// 远端IP前缀
    private String remoteGroupUuid;// 远端安全组UUID
    private String action; // 允许 或 阻止
    private String remark;
    private Boolean defaultRule;
    private String destinationAddressPrefix;
    private String destinationPortRange;
    private String sourceAddressPrefix;
    private String sourcePortRange;
    private Integer priority;//优先级
    private String var1;
    private String var2;
    private String var3;
    private Integer sgrIndex;//tce安全组规则下标
    private String tenantUuid;//OpenStack租户id
    private String props;

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    public Integer getSgrIndex() {
        return sgrIndex;
    }

    public void setSgrIndex(Integer sgrIndex) {
        this.sgrIndex = sgrIndex;
    }

    /**
     *
     */
    public SecurityGroupRuleModel() {
        super();
    }

    /**
     * @param name
     * @param portMin
     * @param portMax
     * @param protocol
     * @param ruleUuid
     * @param groupUuid
     * @param direction
     * @param etherType
     * @param remoteIpPrefix
     * @param remoteGroupUuid
     */
    public SecurityGroupRuleModel(String name, Integer portMin, Integer portMax, String protocol, String ruleUuid,
                                  String groupUuid, String direction, String etherType, String remoteIpPrefix, String remoteGroupUuid) {
        super();
        this.name = name;
        this.portMin = portMin;
        this.portMax = portMax;
        this.protocol = protocol;
        this.ruleUuid = ruleUuid;
        this.groupUuid = groupUuid;
        this.direction = direction;
        this.etherType = etherType;
        this.remoteIpPrefix = remoteIpPrefix;
        this.remoteGroupUuid = remoteGroupUuid;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the portMin
     */
    public Integer getPortMin() {
        return portMin;
    }

    /**
     * @param portMin the portMin to set
     */
    public void setPortMin(Integer portMin) {
        this.portMin = portMin;
    }

    /**
     * @return the portMax
     */
    public Integer getPortMax() {
        return portMax;
    }

    /**
     * @param portMax the portMax to set
     */
    public void setPortMax(Integer portMax) {
        this.portMax = portMax;
    }

    /**
     * @return the protocol
     */
    public String getProtocol() {
        return protocol;
    }

    /**
     * @param protocol the protocol to set
     */
    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    /**
     * @return the ruleUuid
     */
    public String getRuleUuid() {
        return ruleUuid;
    }

    /**
     * @param ruleUuid the ruleUuid to set
     */
    public void setRuleUuid(String ruleUuid) {
        this.ruleUuid = ruleUuid;
    }

    /**
     * @return the groupUuid
     */
    public String getGroupUuid() {
        return groupUuid;
    }

    /**
     * @param groupUuid the groupUuid to set
     */
    public void setGroupUuid(String groupUuid) {
        this.groupUuid = groupUuid;
    }

    /**
     * @return the direction
     */
    public String getDirection() {
        return direction;
    }

    /**
     * @param direction the direction to set
     */
    public void setDirection(String direction) {
        this.direction = direction;
    }

    /**
     * @return the etherType
     */
    public String getEtherType() {
        return etherType;
    }

    /**
     * @param etherType the etherType to set
     */
    public void setEtherType(String etherType) {
        this.etherType = etherType;
    }

    /**
     * @return the remoteIpPrefix
     */
    public String getRemoteIpPrefix() {
        return remoteIpPrefix;
    }

    /**
     * @param remoteIpPrefix the remoteIpPrefix to set
     */
    public void setRemoteIpPrefix(String remoteIpPrefix) {
        this.remoteIpPrefix = remoteIpPrefix;
    }

    /**
     * @return the remoteGroupUuid
     */
    public String getRemoteGroupUuid() {
        return remoteGroupUuid;
    }

    /**
     * @param remoteGroupUuid the remoteGroupUuid to set
     */
    public void setRemoteGroupUuid(String remoteGroupUuid) {
        this.remoteGroupUuid = remoteGroupUuid;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getDefaultRule() {
        return defaultRule;
    }

    public void setDefaultRule(Boolean defaultRule) {
        this.defaultRule = defaultRule;
    }

    public String getDestinationAddressPrefix() {
        return destinationAddressPrefix;
    }

    public void setDestinationAddressPrefix(String destinationAddressPrefix) {
        this.destinationAddressPrefix = destinationAddressPrefix;
    }

    public String getDestinationPortRange() {
        return destinationPortRange;
    }

    public void setDestinationPortRange(String destinationPortRange) {
        this.destinationPortRange = destinationPortRange;
    }

    public String getSourceAddressPrefix() {
        return sourceAddressPrefix;
    }

    public void setSourceAddressPrefix(String sourceAddressPrefix) {
        this.sourceAddressPrefix = sourceAddressPrefix;
    }

    public String getSourcePortRange() {
        return sourcePortRange;
    }

    public void setSourcePortRange(String sourcePortRange) {
        this.sourcePortRange = sourcePortRange;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getVar1() {
        return var1;
    }

    public void setVar1(String var1) {
        this.var1 = var1;
    }

    public String getVar2() {
        return var2;
    }

    public void setVar2(String var2) {
        this.var2 = var2;
    }

    public String getVar3() {
        return var3;
    }

    public void setVar3(String var3) {
        this.var3 = var3;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }
}
